Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 472470 - [TRACKER] genkernel kernel configuration refresh
Summary: [TRACKER] genkernel kernel configuration refresh
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: genkernel (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Genkernel Maintainers
URL:
Whiteboard:
Keywords: Bug, Goal, Tracker
Depends on: 475158
Blocks: 414559 444932 444934 468460 470110 474724 475446 508362 518848 529046
  Show dependency tree
 
Reported: 2013-06-06 06:55 UTC by Richard Yao
Modified: 2015-08-26 17:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Yao gentoo-dev 2013-06-06 06:55:22 UTC
This is a tracker for all of the genkernel bugs that depend on updated .config files. Make any bugs that require .config changes block this one.

In a few weeks, we will make a call for arch teams to provide us with new .config files, which should resolve all bugs blocking this one.
Comment 1 Fabio Erculiani (RETIRED) gentoo-dev 2013-11-16 18:01:52 UTC
Sorry if I use the tracker bug to comment, but to me, we should completely drop the shipped config files and either use upstream defconfigs or tell users to do their own configs. Maintaining such large pool of configs across multiple kernels just doesn't scale (and how do you handle config params conflicts between kernel versions?).
Comment 2 Raymond Jennings 2013-11-16 21:32:41 UTC
+1 to that.

Already even as a mere user I'm not sure if I should trust an ancient genkernel config with a modern versioned kernel.

Drop the suckers and let kernel upstream worry about sane defaults.
Comment 3 Ben Kohler gentoo-dev 2013-11-25 21:45:46 UTC
@genkernel: Is anyone working on this?  This configs really are painfully out of date, I would be willing to help rework them if needed.  It would probably be a good idea to find out what the next stable kernel target is, and aim for that.

As mentioned in the other related bug, I don't believe upstream's configs are usable here.
Comment 4 Patrick Lauer gentoo-dev 2014-08-14 04:12:11 UTC
+  14 Aug 2014; Patrick Lauer <patrick@gentoo.org> +genkernel-3.4.51.1-r1.ebuild:
+  Bump with new kernel configs for x86,amd64. Adds fhandle etc. for udev and
+  some other useful things.


That takes care of some of those.
Comment 5 Richard Yao gentoo-dev 2014-08-17 03:10:44 UTC
(In reply to Ben Kohler from comment #3)
> @genkernel: Is anyone working on this?  This configs really are painfully
> out of date, I would be willing to help rework them if needed.  It would
> probably be a good idea to find out what the next stable kernel target is,
> and aim for that.
> 
> As mentioned in the other related bug, I don't believe upstream's configs
> are usable here.

I committed CONFIG_AUDIT/CONFIG_FHANDLE to HEAD today. I will try tackling a few more tomorrow.

(In reply to Patrick Lauer from comment #4)
> +  14 Aug 2014; Patrick Lauer <patrick@gentoo.org>
> +genkernel-3.4.51.1-r1.ebuild:
> +  Bump with new kernel configs for x86,amd64. Adds fhandle etc. for udev and
> +  some other useful things.
> 
> 
> That takes care of some of those.

Unfortunately, this likely breaks old kernel builds. We cannot use menuconfig to make new kernel configurations because the existing ones include options that no longer exist on old kernels or will exist in new kernels. silentoldconfig removes the invaild options for us and sets any missing options to N. Using menuconfig to generate a new configuration strips all of the options not present on a given kernel, which makes the resulting configuration file unsuitable for use in genkernel.
Comment 6 Richard Yao gentoo-dev 2014-08-17 03:11:39 UTC
> (In reply to Patrick Lauer from comment #4)
> > +  14 Aug 2014; Patrick Lauer <patrick@gentoo.org>
> > +genkernel-3.4.51.1-r1.ebuild:
> > +  Bump with new kernel configs for x86,amd64. Adds fhandle etc. for udev and
> > +  some other useful things.
> > 
> > 
> > That takes care of some of those.
> 
> Unfortunately, this likely breaks old kernel builds. We cannot use
> menuconfig to make new kernel configurations because the existing ones
> include options that no longer exist on old kernels or will exist in new
> kernels. silentoldconfig removes the invaild options for us and sets any
> missing options to N. Using menuconfig to generate a new configuration
> strips all of the options not present on a given kernel, which makes the
> resulting configuration file unsuitable for use in genkernel.

I should add that sys-kernel/genkernel-3.4.51.1-r1 has been masked and will be removed when the next genkernel version is tagged.
Comment 7 Richard Yao gentoo-dev 2015-08-26 17:58:15 UTC
As of v3.4.52, the genkernel has imported RHEL6's config file generation infrastructure and config files with additional changes to better suit Gentoo users.

https://gitweb.gentoo.org/proj/genkernel.git/commit/?id=3b2a190062f6a15af1aba3565e9bdb8fcdc5056a

The default kernel configuration files are generated by combining defaults/kernel-generic-config with arch/$ARCH/arch-config to create arch/$ARCH/generated-config. That is then run through oldconfig when genkernel is asked to compile a kernel where there is no pre-existing .config present.

The kernel-config files are still around for convenience because they had not been fully analyzed on more obscure architectures, but they will be removed from the repository as part of future clean up.

I am marking this resolved obsolete because there is no longer any point to the old way of updating the configuration files.